<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/rules/expansionbookmenutabrulescategoryentry.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabrulescategoryentry.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabRulesCategoryEntry.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html">ExpansionBookMenuTabRulesCategoryEntry</a>: ExpansionScriptView</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ae95e3a2315e091f71db1a34b07e113fe">   15</a></span>    ref <a class="code hl_class" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html">ExpansionBookMenuTabRulesCategoryEntryController</a> <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ae95e3a2315e091f71db1a34b07e113fe">m_EntryController</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#afb49aa24fbd0e9068eede2696849e0fd">   16</a></span>    ref <a class="code hl_class" href="../../d7/d6a/class_expansion_book_rule_category.html">ExpansionBookRuleCategory</a> <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#afb49aa24fbd0e9068eede2696849e0fd">m_Category</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a2e3e136ac588f99bdab2ae56ad1bb744">   17</a></span>    ref <a class="code hl_class" href="../../d0/d84/class_expansion_book_menu_tab_rules.html">ExpansionBookMenuTabRules</a> <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a2e3e136ac588f99bdab2ae56ad1bb744">m_RulesTab</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aa1f674d72ecd8d52c43bdfdf14e71ee3">   19</a></span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aa1f674d72ecd8d52c43bdfdf14e71ee3">category_entry_button</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a4cce5d25ba49916e858475a96dcd301b">   20</a></span>    <span class="keyword">private</span> TextWidget <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a4cce5d25ba49916e858475a96dcd301b">category_entry_label</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a96721d5f93749780ab3173aa6247a44e">   21</a></span>    <span class="keyword">private</span> ImageWidget <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a96721d5f93749780ab3173aa6247a44e">category_entry_icon</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a9320260965b3eaf4944b706b2ef4963e">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a9320260965b3eaf4944b706b2ef4963e">ExpansionBookMenuTabRulesCategoryEntry</a>(<a class="code hl_class" href="../../d0/d84/class_expansion_book_menu_tab_rules.html">ExpansionBookMenuTabRules</a> tab, <a class="code hl_class" href="../../d7/d6a/class_expansion_book_rule_category.html">ExpansionBookRuleCategory</a> category)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a2e3e136ac588f99bdab2ae56ad1bb744">m_RulesTab</a> = tab;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#afb49aa24fbd0e9068eede2696849e0fd">m_Category</a> = category;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ae95e3a2315e091f71db1a34b07e113fe">m_EntryController</a>)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ae95e3a2315e091f71db1a34b07e113fe">m_EntryController</a> = <a class="code hl_class" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html">ExpansionBookMenuTabRulesCategoryEntryController</a>.Cast(GetController());</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a27dd348abc74f73364229c11f9cf21b7">SetView</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aeb9984d74665cfb543c275a65e20ac66">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aeb9984d74665cfb543c275a65e20ac66">GetLayoutFile</a>() </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/tabs/rules/expansion_book_tab_rules_category_entry.layout&quot;</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a87600e3b01842f84fb8f35c86471b234">   39</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a87600e3b01842f84fb8f35c86471b234">GetControllerType</a>() </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html">ExpansionBookMenuTabRulesCategoryEntryController</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a27dd348abc74f73364229c11f9cf21b7">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a27dd348abc74f73364229c11f9cf21b7">SetView</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ae95e3a2315e091f71db1a34b07e113fe">m_EntryController</a>.<a class="code hl_variable" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html#a9e1ad8e013c279afd78838961b1fac97">CategoryName</a> = <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#afb49aa24fbd0e9068eede2696849e0fd">m_Category</a>.<a class="code hl_variable" href="../../d7/d6a/class_expansion_book_rule_category.html#a2d658a069ed0336e3e24c7d093c82f58">CategoryName</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ae95e3a2315e091f71db1a34b07e113fe">m_EntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;CategoryName&quot;</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aef612a772e8b36fe36fd1b1c0e6c252b">   50</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aef612a772e8b36fe36fd1b1c0e6c252b">OnEntryButtonClick</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a2e3e136ac588f99bdab2ae56ad1bb744">m_RulesTab</a>.<a class="code hl_function" href="../../d0/d84/class_expansion_book_menu_tab_rules.html#aae10794bb9d34637bd5cb771989ca51a">SetCategory</a>(<a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#afb49aa24fbd0e9068eede2696849e0fd">m_Category</a>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ac81167b0cf42b90af09dcea5a43744a1">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ac81167b0cf42b90af09dcea5a43744a1">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aa1f674d72ecd8d52c43bdfdf14e71ee3">category_entry_button</a>:</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a96721d5f93749780ab3173aa6247a44e">category_entry_icon</a>.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a4cce5d25ba49916e858475a96dcd301b">category_entry_label</a>.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a7d2eea393e71298e7f93540c053a4b46">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a7d2eea393e71298e7f93540c053a4b46">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aa1f674d72ecd8d52c43bdfdf14e71ee3">category_entry_button</a>:</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a96721d5f93749780ab3173aa6247a44e">category_entry_icon</a>.SetColor(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <a class="code hl_variable" href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a4cce5d25ba49916e858475a96dcd301b">category_entry_label</a>.SetColor(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>};</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html">   82</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html">ExpansionBookMenuTabRulesCategoryEntryController</a>: ExpansionViewController</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>{</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html#a9e1ad8e013c279afd78838961b1fac97">   84</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html#a9e1ad8e013c279afd78838961b1fac97">CategoryName</a>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>};</div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_controller_html"><div class="ttname"><a href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html">ExpansionBookMenuTabRulesCategoryEntryController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00082">expansionbookmenutabrulescategoryentry.c:83</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_controller_html_a9e1ad8e013c279afd78838961b1fac97"><div class="ttname"><a href="../../d5/d6f/class_expansion_book_menu_tab_rules_category_entry_controller.html#a9e1ad8e013c279afd78838961b1fac97">ExpansionBookMenuTabRulesCategoryEntryController::CategoryName</a></div><div class="ttdeci">string CategoryName</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00084">expansionbookmenutabrulescategoryentry.c:84</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html">ExpansionBookMenuTabRulesCategoryEntry</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00013">expansionbookmenutabrulescategoryentry.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_a27dd348abc74f73364229c11f9cf21b7"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a27dd348abc74f73364229c11f9cf21b7">ExpansionBookMenuTabRulesCategoryEntry::SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00044">expansionbookmenutabrulescategoryentry.c:44</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_a2e3e136ac588f99bdab2ae56ad1bb744"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a2e3e136ac588f99bdab2ae56ad1bb744">ExpansionBookMenuTabRulesCategoryEntry::m_RulesTab</a></div><div class="ttdeci">ref ExpansionBookMenuTabRules m_RulesTab</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00017">expansionbookmenutabrulescategoryentry.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_a4cce5d25ba49916e858475a96dcd301b"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a4cce5d25ba49916e858475a96dcd301b">ExpansionBookMenuTabRulesCategoryEntry::category_entry_label</a></div><div class="ttdeci">private TextWidget category_entry_label</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00020">expansionbookmenutabrulescategoryentry.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_a7d2eea393e71298e7f93540c053a4b46"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a7d2eea393e71298e7f93540c053a4b46">ExpansionBookMenuTabRulesCategoryEntry::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00068">expansionbookmenutabrulescategoryentry.c:68</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_a87600e3b01842f84fb8f35c86471b234"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a87600e3b01842f84fb8f35c86471b234">ExpansionBookMenuTabRulesCategoryEntry::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00039">expansionbookmenutabrulescategoryentry.c:39</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_a9320260965b3eaf4944b706b2ef4963e"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a9320260965b3eaf4944b706b2ef4963e">ExpansionBookMenuTabRulesCategoryEntry::ExpansionBookMenuTabRulesCategoryEntry</a></div><div class="ttdeci">void ExpansionBookMenuTabRulesCategoryEntry(ExpansionBookMenuTabRules tab, ExpansionBookRuleCategory category)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00023">expansionbookmenutabrulescategoryentry.c:23</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_a96721d5f93749780ab3173aa6247a44e"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#a96721d5f93749780ab3173aa6247a44e">ExpansionBookMenuTabRulesCategoryEntry::category_entry_icon</a></div><div class="ttdeci">private ImageWidget category_entry_icon</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00021">expansionbookmenutabrulescategoryentry.c:21</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_aa1f674d72ecd8d52c43bdfdf14e71ee3"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aa1f674d72ecd8d52c43bdfdf14e71ee3">ExpansionBookMenuTabRulesCategoryEntry::category_entry_button</a></div><div class="ttdeci">private ButtonWidget category_entry_button</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00019">expansionbookmenutabrulescategoryentry.c:19</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_ac81167b0cf42b90af09dcea5a43744a1"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ac81167b0cf42b90af09dcea5a43744a1">ExpansionBookMenuTabRulesCategoryEntry::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00055">expansionbookmenutabrulescategoryentry.c:55</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_ae95e3a2315e091f71db1a34b07e113fe"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#ae95e3a2315e091f71db1a34b07e113fe">ExpansionBookMenuTabRulesCategoryEntry::m_EntryController</a></div><div class="ttdeci">ref ExpansionBookMenuTabRulesCategoryEntryController m_EntryController</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00015">expansionbookmenutabrulescategoryentry.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_aeb9984d74665cfb543c275a65e20ac66"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aeb9984d74665cfb543c275a65e20ac66">ExpansionBookMenuTabRulesCategoryEntry::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00034">expansionbookmenutabrulescategoryentry.c:34</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_aef612a772e8b36fe36fd1b1c0e6c252b"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#aef612a772e8b36fe36fd1b1c0e6c252b">ExpansionBookMenuTabRulesCategoryEntry::OnEntryButtonClick</a></div><div class="ttdeci">void OnEntryButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00050">expansionbookmenutabrulescategoryentry.c:50</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_category_entry_html_afb49aa24fbd0e9068eede2696849e0fd"><div class="ttname"><a href="../../d3/d52/class_expansion_book_menu_tab_rules_category_entry.html#afb49aa24fbd0e9068eede2696849e0fd">ExpansionBookMenuTabRulesCategoryEntry::m_Category</a></div><div class="ttdeci">ref ExpansionBookRuleCategory m_Category</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c_source.html#l00016">expansionbookmenutabrulescategoryentry.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_html"><div class="ttname"><a href="../../d0/d84/class_expansion_book_menu_tab_rules.html">ExpansionBookMenuTabRules</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df9/expansionbookmenutabrules_8c_source.html#l00013">expansionbookmenutabrules.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_html_aae10794bb9d34637bd5cb771989ca51a"><div class="ttname"><a href="../../d0/d84/class_expansion_book_menu_tab_rules.html#aae10794bb9d34637bd5cb771989ca51a">ExpansionBookMenuTabRules::SetCategory</a></div><div class="ttdeci">void SetCategory(ExpansionBookRuleCategory category)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df9/expansionbookmenutabrules_8c_source.html#l00093">expansionbookmenutabrules.c:93</a></div></div>
<div class="ttc" id="aclass_expansion_book_rule_category_html"><div class="ttname"><a href="../../d7/d6a/class_expansion_book_rule_category.html">ExpansionBookRuleCategory</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7a/expansionbookrulecategory_8c_source.html#l00013">expansionbookrulecategory.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_rule_category_html_a2d658a069ed0336e3e24c7d093c82f58"><div class="ttname"><a href="../../d7/d6a/class_expansion_book_rule_category.html#a2d658a069ed0336e3e24c7d093c82f58">ExpansionBookRuleCategory::CategoryName</a></div><div class="ttdeci">string CategoryName</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7a/expansionbookrulecategory_8c_source.html#l00015">expansionbookrulecategory.c:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c42bf3830d2b96dfe174506f42af663f.html">booktabs</a></li><li class="navelem"><a class="el" href="../../dir_f3ad095e469f1264cbf602001e0cb767.html">rules</a></li><li class="navelem"><a class="el" href="../../d0/d3a/expansionbookmenutabrulescategoryentry_8c.html">expansionbookmenutabrulescategoryentry.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
